class simec::apache (
$vhost    = $::simec::params::vhost,
$datadir  = $::simec::params::datadir,
$apacheuser = $::simec::params::apacheuser
) inherits simec::params {

   class { '::apache':
    mpm_module => 'prefork',
   }

   include ::apache::mod::php
   include ::apache::mod::rewrite

   apache::vhost { $vhost:
	servername      => $vhost,
    	port            => '80',
    	docroot         => "${datadir}/www",
	docroot_owner   => "${apacheuser}",
    	docroot_group   => "${apacheuser}",
	options         => ['Indexes','FollowSymLinks'],
	directoryindex  => 'login.php index.php',
    	access_log_file => "${vhost}_access_log",
    	error_log_file  => "${vhost}_error_log",
        aliases         => [
      	{
        	alias => '/seguranca',
        	path  => "${datadir}/seguranca/www/",
      	},
      	{
        	alias => '/elabrev',
        	path  => "${datadir}/elabrev/www",
      	},
      	{
        	alias => '/monitora',
        	path  => "${datadir}/monitora/www",
      	},
      	{
        	alias => '/financeiro',
        	path  => "${datadir}/financeiro/www",
      	},
	{
                alias => '/zimec',
                path  => "${datadir}/zimec/public",
        },
	{
                alias => '/pde',
                path  => "${datadir}/pde/www",
        },
    	],
	custom_fragment => "
		AddDefaultCharset  ISO-8859-1
		php_admin_value output_buffering on
		php_admin_value error_reporting 22519
		php_value upload_max_filesize 128M
		php_value post_max_size 128M
		php_value max_execution_time 60
		php_value max_input_time 60
		php_value memory_limit 256M
      		php_admin_value include_path \".:${datadir}/global\"
     		php_admin_value short_open_tag on
      		php_admin_value date.timezone America/Sao_Paulo
       ",
   }
}
