# == Class: simec
#
# Full description of class simec here.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if
#   it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should be avoided in favor of class parameters as
#   of Puppet 2.6.)
#
# === Examples
#
#class {'simec':
#        vhost => 'meusimec.dominio',
#        install_db  => false,
#        db_name     => 'dbsimec',
#        db_username => 'usersimec',
#        db_password => 'SenhaSuperForte',
#        db_host     => '192.168.0.1',
#        datadir     => '/var/www/html/simec',
#        source      => 'http://urldorepositporiop/simec.git',
#        emails      => 'meuemail@meudominio',
#        vcsprovider => 'git',
#}
#
# === Authors
#
# Thiago Linux <thiagoantonio.sferreira@gmail.com>
#
# === Copyright
#
# Copyright 2016 Your name here, unless otherwise noted.
#
class simec (
$vhost		= $::simec::params::vhost,
$datadir	= $::simec::params::datadir,
$apacheuser	= $::simec::params::apacheuser,
$db_username	= $::simec::params::db_username,
$db_password	= $::simec::params::db_password,
$db_name	= $::simec::params::db_name,
$db_host	= $::simec::params::db_host,
$db_port	= $::simec::params::db_port,
$packages	= $::simec::params::packages,
$vcsprovider	= $::simec::params::vcsprovider,
$repoensure     = $::simec::params::repoensure,
$source		= $::simec::params::source,
$emails		= $::simec::params::emails,
$install_db     = false,
) inherits simec::params {
	
	class { '::simec::install':
		repoensure  => $reponsure,
                datadir     => $datadir,
                packages    => $packages,
                vcsprovider => $vcsprovider,
                source      => $source,
        } -> 
	class { '::simec::apache':
                vhost    => $vhost,
                datadir  => $datadir,
                apacheuser => $apacheuser,
        } ->
	class { '::simec::config':
                datadir    => $datadir,
                apacheuser => $apacheuser,
                db_username => $db_username,
                db_password => $db_password,
                db_name     => $db_name,
                db_host     => $db_host,
                db_port     => $db_port,
                emails      => $emails,

        }

	if $install_db == true {
    		class { '::simec::postgresql':
	      		db_username => $db_username,
      			db_password => $db_password,
	      		db_name     => $db_name,
      			db_host     => $db_host,
      			db_port     => $db_port,
    		}
  	}

}
